# $Revision: 1.3 $, $Date: 2001/08/15 14:59:49 $
Summary:A software to do TCP/IP stack auditing and much more
Name:hping2
Version:2.0.0rc1
Release:1
License:GPL/BSD
Group:Networking/Utilities
URL:http://www.hping.org/	
Source0:http://www.hping.org/hping2.0.0-rc1.tar.gz
Patch0:%{name}-system-libpcap.patch
BuildRoot:/var/tmp/%{name}-%{version}-root-%(id -u -n)

%description
hping2 is a network tool able to send custom ICMP/UDP/TCP packets and
to display target replies like ping do with ICMP replies. hping2
handle fragmentation, arbitrary packet body and size and can be used
in order to transfer files under supported protocols.

%prep
%setup -q -n hping2
#%patch -p1

%build
MANPATH="%{_mandir}" \
./configure 

make

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{_mandir}/man8}

install hping2 $RPM_BUILD_ROOT%{_sbindir}
install docs/hping2.8  $RPM_BUILD_ROOT%{_mandir}/man8

ln -sf hping2 $RPM_BUILD_ROOT%{_sbindir}/hping

rm -fR docs/CVS
rm -fR docs/french

gzip -9nf COPYING *BUGS README TODO docs/[A-Z]*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc {COPYING,*BUGS,NOTIFY,README,TODO}.gz CHANGES NEWS MIRRORS AUTHORS docs 
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* Wed Aug 14 2002 Ralf Spenneberg <ralf@spenneberg.de>
- First release
